/*	
 *	main.c
 *
 *	c33209.hのアドレス確認プログラム
 *	Copyright (C) 2002 Naoyuki Sawa
 *
 *	* Fri Jul  5 05:13:00 JST 2002 Naoyuki Sawa
 *	- 作成開始。
 *	* Sun Oct 20 10:39:00 JST 2002 Naoyuki Sawa
 *	- 終了時にエラー数が正しく表示されていなかったのを修正。
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "..\..\c33209.h"

typedef struct _C33209CHK {
	char* name;
	int sym;
	int addr;
} C33209CHK;
C33209CHK tbl[] = {
#include "c33209chk.h" /* あらかじめsedで作成しておく */
};
#define TBLCNT (sizeof tbl / sizeof *tbl)

int
main()
{
	int err = 0, i;

	for(i = 0; i < TBLCNT; i++) {
		if(tbl[i].sym != tbl[i].addr) {
			printf("%s = %x != %x\n", tbl[i].name, tbl[i].sym, tbl[i].addr);
			err++;
		}
	}

	if(err == 0) {
		printf("NO ERRORS\n");
	} else {
		printf("%d ERRORS\n", err);
	}
#ifdef _DEBUG
	getchar(); /* IDEから実行した場合の終了待ち */
#endif /*_DEBUG*/

	return 0;
}
